Index: trunk/LMDZ.MARS/libf/phymars/phyetat0_mod.F90
===================================================================
--- trunk/LMDZ.MARS/libf/phymars/phyetat0_mod.F90	(revision 1973)
+++ trunk/LMDZ.MARS/libf/phymars/phyetat0_mod.F90	(revision 1974)
@@ -12,5 +12,5 @@
   use tracer_mod, only: noms ! tracer names
   use surfdat_h, only: phisfi, albedodat, z0, z0_default,&
-                       zmea, zstd, zsig, zgam, zthe
+                       zmea, zstd, zsig, zgam, zthe, hmons
   use iostart, only: nid_start, open_startphy, close_startphy, &
                      get_field, get_var, inquire_field, &
@@ -19,4 +19,6 @@
 
   implicit none
+  
+  include "callkeys.h"
 !======================================================================
 ! Auteur(s) Z.X. Li (LMD/CNRS) date: 19930818
@@ -179,4 +181,22 @@
 endif
 
+! hmons 
+call get_field("hmons",hmons,found)
+if (.not.found) then
+  write(*,*) "WARNING: phyetat0: Failed loading <hmons>"
+  if (rdstorm) then
+    call abort
+  else
+    write(*,*) "will continue anyway..."
+    write(*,*) "because you may not need it."
+    hmons(:)=0.
+  end if
+else
+  do ig=1,ngrid
+    if (hmons(ig) .eq. -999999.)  hmons(ig)=0.
+  enddo
+  write(*,*) "phyetat0: <hmons> range:", &
+             minval(hmons), maxval(hmons)
+endif
       
 ! Time axis
@@ -277,5 +297,5 @@
 if (.not.found) then
   write(*,*) "phyetat0: <tauscaling> not in file"
-  tauscaling(:) = -1
+  tauscaling(:) = 1
 else
   write(*,*) "phyetat0: dust conversion factor <tauscaling> range:", &
@@ -296,5 +316,5 @@
 call get_field("wstar",wstar,found,indextime)
 if (.not.found) then
-  write(*,*) "phyetat0: <totcloudfrac> not in file! Set to zero"
+  write(*,*) "phyetat0: <wstar> not in file! Set to zero"
   wstar(:)=0
 else
Index: trunk/LMDZ.MARS/libf/phymars/phyredem.F90
===================================================================
--- trunk/LMDZ.MARS/libf/phymars/phyredem.F90	(revision 1973)
+++ trunk/LMDZ.MARS/libf/phymars/phyredem.F90	(revision 1974)
@@ -1,5 +1,2 @@
-!
-! $Id: $
-!
 module phyredem
 
@@ -10,5 +7,6 @@
 subroutine physdem0(filename,lonfi,latfi,nsoil,ngrid,nlay,nq, &
                          phystep,day_ini,time,airefi, &
-                         alb,ith,pzmea,pzstd,pzsig,pzgam,pzthe)
+                         alb,ith,pzmea,pzstd,pzsig,pzgam,pzthe, &
+                         phmons)
 ! create physics restart file and write time-independent variables
   use comsoil_h, only: inertiedat, volcapa, mlayer
@@ -16,5 +14,6 @@
   use surfdat_h, only: zmea, zstd, zsig, zgam, zthe, &
                        z0_default, albedice, emisice, emissiv, &
-                       iceradius, dtemisice, phisfi, z0
+                       iceradius, dtemisice, phisfi, z0,   &
+                       hmons
   use dimradmars_mod, only: tauvis
   use iostart, only : open_restartphy, close_restartphy, & 
@@ -46,5 +45,6 @@
   real,intent(in) :: pzgam(ngrid)
   real,intent(in) :: pzthe(ngrid)
- 
+  real,intent(in) :: phmons(ngrid)
+
   real :: tab_cntrl(length) ! nb "length=100" defined in iostart module
   
@@ -131,5 +131,9 @@
   call put_field("ZGAM","Relief: gamma parameter",zgam)
   call put_field("ZTHE","Relief: theta parameter",zthe)
-  
+  ! Write hmons if it was read in startfi
+  if (maxval(hmons).ne.minval(hmons)) then
+    call put_field("hmons","Relief: hmons parameter",hmons)
+  end if
+     
   ! Soil thermal inertia
   call put_field("inertiedat","Soil thermal inertia",ith)
Index: trunk/LMDZ.MARS/libf/phymars/phys_state_var_init_mod.F90
===================================================================
--- trunk/LMDZ.MARS/libf/phymars/phys_state_var_init_mod.F90	(revision 1973)
+++ trunk/LMDZ.MARS/libf/phymars/phys_state_var_init_mod.F90	(revision 1974)
@@ -47,4 +47,6 @@
       use time_phylmdz_mod, only: init_time
       use co2cloud_mod, only: ini_co2cloud,end_co2cloud
+      use rocketduststorm_mod, only: ini_rocketduststorm_mod, &
+                                     end_rocketduststorm_mod
 
       IMPLICIT NONE
@@ -112,4 +114,8 @@
       call ini_co2cloud(ngrid,nlayer)
       
+      ! allocate arrays in "rocketduststorm_mod":
+      call end_rocketduststorm_mod
+      call ini_rocketduststorm_mod(ngrid)
+      
       END SUBROUTINE phys_state_var_init
 
